import express from "express"
import cors from 'cors'
import path from 'path'
import process from 'process'

import db from './db.js'

const app = express();
const PORT = 8080;

db.connectDB();

app.use(express.static(path.join(process.cwd(), '../frontend/build')));

app.use(express.json());
app.use(express.urlencoded({ extended: false }));
app.use(cors());

app.listen(PORT, () => {
  console.log(`Listening on port ${PORT}`);
}); // 서버 실행

/*
app.get('/', function (req, res) {
	res.sendFile(path.join(process.cwd(), '../frontend/build/index.html'));
});
*/
function b64_to_utf8( str ) {
  return decodeURIComponent(escape(window.atob( str )));
}

function encode_utf8(s) {
  return unescape(encodeURIComponent(s));
}

app.post('/login', (req, res) => {
	const text = req.body;
	console.log(req.body);
	res.send(req.body.name);
	//res.redirect(200, "/main");
});











